Debian GNU/Linux

python packages on the CDs not using dh_python2

Reported by Matthias Klose on 2011-05-26
32
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Onboard
Undecided
Unassigned
Ubuntu
Medium
Matthias Klose
Oneiric
Medium
Matthias Klose
argparse (Debian)
Fix Released
Unknown
bittornado (Debian)
New
Unknown
brltty (Debian)
Fix Released
Unknown
chardet (Debian)
Fix Released
Unknown
dbus-python (Debian)
Fix Released
Unknown
egenix-mx-base (Debian)
Fix Released
Unknown
euca2ools (Debian)
Fix Released
Unknown
file (Debian)
Fix Released
Unknown
genshi (Debian)
Fix Released
Unknown
gnome-doc-utils (Debian)
Fix Released
Unknown
gnupginterface (Debian)
New
Unknown
gst0.10-python (Debian)
Fix Released
Unknown
hplip (Debian)
Fix Released
Unknown
ibus (Debian)
Fix Released
Unknown
ibus-hangul (Debian)
Fix Released
Unknown
ibus-pinyin (Debian)
Fix Released
Unknown
ibus-table (Debian)
Fix Released
Unknown
libapache2-mod-python (Debian)
Fix Released
Unknown
liblouis (Debian)
Fix Released
Unknown
libproxy (Debian)
Fix Released
Unknown
libxml2 (Debian)
Fix Released
Unknown
mailman (Debian)
Fix Released
Unknown
newt (Debian)
Fix Released
Unknown
notify-python (Debian)
Fix Released
Unknown
paramiko (Debian)
Fix Released
Unknown
pexpect (Debian)
Fix Released
Unknown
pycairo (Debian)
New
Unknown
pycurl (Debian)
Fix Released
Unknown
pyicu (Debian)
Fix Released
Unknown
pyinotify (Debian)
Fix Released
Unknown
python-boto (Debian)
Fix Released
Unknown
python-dateutil (Debian)
Fix Released
Unknown
python-debian (Debian)
Fix Released
Unknown
python-psutil (Debian)
New
Unknown
pywebkitgtk (Debian)
New
Unknown
pyxdg (Debian)
Fix Released
Unknown
totem (Debian)
Fix Released
Unknown

Bug Description

see https://blueprints.launchpad.net/ubuntu/+spec/foundations-o-dhpython-transition

NOTE: REFRESH THIS PAGE BEFORE YOU CHANGE THE WHITEBOARD TO AVOID OVERWRITING SOMEONE ELSE'S CHANGES. THIS IS NOT A WIKI PAGE :)

Legend:
* troublesome package, deferring for now
+ submitted to upstream (usually debian) but not (yet) uploaded to ubuntu
LP: sync request pending

updated for alpha2

desktop CD (python-central):
=======================
DONE

desktop CD (python-support):
=======================
DONE

kubuntu CD (python-central):
=======================
DONE

kubuntu CD (python-support):
=======================
DONE

server CD (python-central):
=======================
DONE

server CD (python-support):
=======================
DONE

desktop DVD (python-central):
============================
DONE

desktop DVD (python-support):
============================
DONE

Pending syncs
=============
NONE

Completed conversions:
======================
alacarte 0.13.2-2ubuntu2
apt-xapian-index 0.41ubuntu7
bittornado 0.3.18-10ubuntu2
chardet 2.0.1-2
checkbox 0.12.3
command-not-found 0.2.41ubuntu3
dbus-python 0.84.0-2
euca2ools 1.3.1-0ubuntu11
file 5.04-5ubuntu3
gedit 3.0.2-0ubuntu4
genshi 0.6-1ubuntu3
gnome-applets-data 3.1.2-0ubuntu2
gnome-codec-install 0.4.7ubuntu3
gnome-doc-utils 0.20.6-1ubuntu1
gnome-sudoku 3.1.3-0ubuntu1
gnome-orca 3.1.1-0ubuntu1
gwibber 3.0.0.1-0ubuntu3
gwibber-service 3.0.0.1-0ubuntu3
gwibber-service-facebook 3.0.0.1-0ubuntu3
gwibber-service-identica 3.0.0.1-0ubuntu3
gwibber-service-twitter 3.0.0.1-0ubuntu3
hplip 3.11.7-0ubuntu2
ibus 1.3.9-2ubuntu2
ibus-anthy 1.2.6-2
ibus-hangul 1.3.1-2ubuntu1
ibus-pinyin 1.3.99.20010706-1
ibus-table 1.3.0.20100621-3
kde-workspace 4:4.7.0-0ubuntu4
kdeutils (printer-applet) 4:4.7.0-0ubuntu2
launchpad-integration 0.1.52
libapache2-mod-python 3.3.1-9ubuntu1
liblouis 2.3.0-2ubuntu1
lsb-core 4.0-0ubuntu11
lsb-release 4.0-0ubuntu11
mailman 1:2.1.14-1ubuntu1
onboard 0.94.0-0ubuntu2b2
papyon 0.5.5-1ubuntu3
paramiko 1.7.7.1-1ubuntu1
pitivi 0.13.5-2ubuntu1
powernap-common 2.8-0ubuntu1
protobuf 2.4.0a-2ubuntu2
pycurl 7.19.0-4ubuntu1
pyicu 1.1-1ubuntu1
python-argparse 1.1-1ubuntu1
python-boto 1.9b-4ubuntu2
python-brlapi 4.2-8ubuntu3
python-cairo 1.8.8-1ubuntu2
python-configglue 0.9pre1-0ubuntu2
python-crypto 2.3-1
python-cups 1.9.54-0ubuntu2
python-dateutil 1.4.1-3ubuntu1
python-egenix-mxdatetime 3.1.3-4.1ubuntu1
python-egenix-mxtools 3.1.3-4.1ubuntu1
python-gmenu 3.0.1-0ubuntu3
python-gnomekeyring 2.32.0-0ubuntu5
python-gnupginterface 0.3.2-9.1ubuntu2
python-gst0.10 0.10.21-2ubuntu1
python-gtkspell 2.25.3-7ubuntu3
python-kde4 4:4.7.0-0ubuntu2
python-image-store-proxy 1.0.4-0ubuntu5
python-launchpad-integration 0.1.52
python-launchpadlib 1.9.8-1
python-libproxy 0.3.1-2ubuntu6
python-libvirt 0.9.1-1ubuntu1
python-libxml2 2.7.8.dfsg-4
python-m2crypto 0.20.1+dfsg1-1.1ubuntu1
python-newt 0.52.11-2ubuntu8
python-notify 0.1.1-2ubuntu2
python-oauth 1.0.1-3
python-pexpect 2.3-1ubuntu1
python-psutil 0.2.1-1ubuntu1
python-pyatspi 1.32.0-0ubuntu3
python-pyinotify 0.9.1-1ubuntu1
python-qt4 4.8.3-4
python-qt-dbus 4.8.3-4
python-sip 4.12.3-1
python-smbc 1.0.10-0ubuntu2
python-software-properties 0.80.11
python-speechd 0.7.1-6
python-ubuntuone-client 1.7.0-0ubuntu1
python-ubuntuone-control-panel 1.0.0-0ubuntu3
python-ubuntuone-storageprotocol 1.6.1-0ubuntu2
python-urlgrabber 3.9.1-4ubuntu1
python-virtkey 0.60.0-0ubuntu4
python-webkit 1.1.8-2ubuntu1
python-wnck 2.32.0-0ubuntu5
python-xkit 0.4.2.3
pyxdg 0.19-3ubuntu1
software-center 4.1.6
smart 1.4-1ubuntu1
totem 3.0.1-0ubuntu3
totem-plugins 3.0.1-0ubuntu3
ubiquity 2.7.8
ubiquity-frontend-debconf 2.7.8
ubiquity-frontend-gtk 2.7.8
ubuntu-system-service 0.1.22
ubuntuone-control-panel-gtk 1.0.0-0ubuntu3
userconfig 0.9.0-0ubuntu8
vte 0.28.1-1ubuntu2
zeitgeist-core 0.8.1.1-1
zeitgeist-extension-fts 0.0.7-0ubuntu2

Related branches

lp:~chadadavis/checkbox/788514
Merged into lp:checkbox at revision 939
Marc Tardif (community): Approve on 2011-06-29
Barry Warsaw (community): Approve on 2011-06-24
Martin Pitt (pitti) on 2011-06-10
description: updated
Martin Pitt (pitti) on 2011-06-10
description: updated
Steve Langasek (vorlon) on 2011-06-10
description: updated
Steve Langasek (vorlon) on 2011-06-10
description: updated
Barry Warsaw (barry) on 2011-06-13
description: updated
Colin Watson (cjwatson) on 2011-06-15
description: updated
Matthias Klose (doko) on 2011-06-15
description: updated
description: updated
Colin Watson (cjwatson) on 2011-06-15
description: updated
Colin Watson (cjwatson) on 2011-06-17
description: updated
tags: added: pycentral-deprecation
Mat Scales (wibblymat) on 2011-06-23
description: updated
Barry Warsaw (barry) wrote :

Patch for onboard. I can't push a branch because lp:onboard uses an older bzr format.

description: updated
Barry Warsaw (barry) on 2011-06-23
description: updated
Steve Langasek (vorlon) on 2011-06-23
description: updated
Evan Broder (broder) on 2011-06-23
description: updated
Steve Langasek (vorlon) on 2011-06-24
description: updated
Changed in egenix-mx-base (Debian):
status: Unknown → New
Changed in newt (Debian):
status: Unknown → New
Changed in gst0.10-python (Debian):
status: Unknown → New
Changed in pexpect (Debian):
status: Unknown → New
Barry Warsaw (barry) on 2011-06-24
description: updated
tags: added: patch
Francesco Fumanti (frafu) wrote :

@Barry Warsaw: Thanks for the patch.

Changed in onboard:
status: New → Fix Committed
Barry Warsaw (barry) on 2011-06-24
description: updated
Changed in euca2ools (Debian):
status: Unknown → New
Francesco Fumanti (frafu) wrote :

You can find the new version of Onboard in my PPA for Ubuntu Natty:
https://launchpad.net/~frafu/+archive/ppa

I am writing this here in case you might want to try the new release.

Colin Watson (cjwatson) on 2011-06-27
description: updated
description: updated
Colin Watson (cjwatson) wrote :

image-store-proxy: bug 802402

Barry Warsaw (barry) on 2011-06-27
description: updated
Colin Watson (cjwatson) on 2011-06-27
description: updated
Colin Watson (cjwatson) on 2011-06-27
description: updated
Barry Warsaw (barry) on 2011-06-27
description: updated
Barry Warsaw (barry) on 2011-06-27
description: updated
Barry Warsaw (barry) on 2011-06-28
description: updated
Steve Langasek (vorlon) on 2011-06-28
description: updated
Barry Warsaw (barry) on 2011-06-29
description: updated
description: updated
description: updated
Barry Warsaw (barry) on 2011-06-29
description: updated
Barry Warsaw (barry) on 2011-06-29
description: updated
Barry Warsaw (barry) on 2011-06-29
description: updated
Barry Warsaw (barry) on 2011-06-29
description: updated
Barry Warsaw (barry) on 2011-07-01
description: updated
Barry Warsaw (barry) on 2011-07-01
description: updated
Martin Pitt (pitti) on 2011-07-05
description: updated
Martin Pitt (pitti) wrote :

I tested current oneiric's ubuntuone and launchpadlib with Debian sid's python-oauth, and they both work fine. Can we sync python-oauth from sid? This would update us from 1.0a~svn1124 to 1.0.1 and migrate to dh_python2 (the last remaining python-central package on the desktop CDs).

Barry Warsaw (barry) on 2011-07-05
description: updated
Barry Warsaw (barry) wrote :

re: python-oauth, dobey has this to say in irc:

<dobey> barry: hrmm. if pitti already tested that u1 client is working ok on
        new python-oauth, then i don't see any reason to not upgrade it. if it
        breaks something in u1, then we'll just fix it. [14:00]
<barry> dobey: okay, so from your perspective, we don't need to retain any of
        the ubuntu-specific fixes in the current oneiric package [14:01]
<dobey> progress is made of things blowing up; cf. The Universe. ;)
<barry> dobey: i'll replace ours with the sid version then [14:02]
<dobey> barry: my perspective is if it's already been checked that it works, i
        don't think it should block further on me :)
<barry> dobey: okay!
<dobey> barry: and if something blows up, i'll make a new apple pie.

Barry Warsaw (barry) wrote :

Sync request for python-oauth is bug 806103

Barry Warsaw (barry) on 2011-07-05
description: updated
Barry Warsaw (barry) on 2011-07-05
description: updated
Barry Warsaw (barry) on 2011-07-05
description: updated
Barry Warsaw (barry) on 2011-07-05
tags: added: pysupport-deprecations
Barry Warsaw (barry) on 2011-07-05
description: updated
Barry Warsaw (barry) on 2011-07-06
description: updated
Martin Pitt (pitti) on 2011-07-07
Changed in ubuntu:
milestone: oneiric-alpha-2 → oneiric-alpha-3
Barry Warsaw (barry) on 2011-07-07
description: updated
Matthias Klose (doko) on 2011-07-08
description: updated
Matthias Klose (doko) on 2011-07-09
description: updated
Barry Warsaw (barry) on 2011-07-14
description: updated
Barry Warsaw (barry) on 2011-07-14
description: updated
Barry Warsaw (barry) on 2011-07-14
description: updated
Barry Warsaw (barry) on 2011-07-14
description: updated
Barry Warsaw (barry) on 2011-07-18
description: updated
Barry Warsaw (barry) on 2011-07-18
description: updated
description: updated
Barry Warsaw (barry) on 2011-07-19
description: updated
Rodney Dawes (dobey) on 2011-07-20
description: updated
Barry Warsaw (barry) on 2011-07-20
description: updated
description: updated
Rodney Dawes (dobey) on 2011-07-20
description: updated
Barry Warsaw (barry) on 2011-07-20
description: updated
Barry Warsaw (barry) on 2011-07-20
description: updated
description: updated
Changed in libapache2-mod-python (Debian):
status: Unknown → New
Barry Warsaw (barry) on 2011-07-20
description: updated
Jeremy Bicha (jbicha) on 2011-07-21
description: updated
description: updated
Barry Warsaw (barry) wrote :
Barry Warsaw (barry) on 2011-07-21
description: updated
Barry Warsaw (barry) on 2011-07-21
description: updated
description: updated
Barry Warsaw (barry) on 2011-07-21
description: updated
Barry Warsaw (barry) on 2011-07-22
description: updated
Barry Warsaw (barry) on 2011-07-22
description: updated
Barry Warsaw (barry) on 2011-07-25
description: updated
Barry Warsaw (barry) on 2011-07-25
description: updated
Barry Warsaw (barry) on 2011-07-25
description: updated
Barry Warsaw (barry) on 2011-07-25
description: updated
Barry Warsaw (barry) on 2011-07-25
description: updated
Barry Warsaw (barry) on 2011-07-26
description: updated
description: updated
description: updated
description: updated
Barry Warsaw (barry) on 2011-07-26
description: updated
Barry Warsaw (barry) on 2011-07-26
description: updated
Barry Warsaw (barry) on 2011-07-27
description: updated
Barry Warsaw (barry) on 2011-07-27
description: updated
Barry Warsaw (barry) on 2011-07-27
description: updated
Barry Warsaw (barry) on 2011-07-27
description: updated
Barry Warsaw (barry) on 2011-07-27
description: updated
Barry Warsaw (barry) on 2011-07-29
description: updated
Colin Watson (cjwatson) on 2011-07-30
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
description: updated
Barry Warsaw (barry) on 2011-08-08
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
Barry Warsaw (barry) on 2011-08-09
description: updated
Daniel T Chen (crimsun) on 2011-08-09
description: updated
Steve Langasek (vorlon) on 2011-08-10
description: updated
description: updated
Steve Langasek (vorlon) on 2011-08-10
description: updated
Steve Langasek (vorlon) on 2011-08-10
description: updated
Steve Langasek (vorlon) on 2011-08-10
description: updated
Changed in egenix-mx-base (Debian):
status: New → Fix Released
Changed in chardet (Debian):
status: Unknown → Fix Released
Changed in ibus-pinyin (Debian):
status: Unknown → Fix Released
Barry Warsaw (barry) on 2011-08-10
description: updated
Changed in pycurl (Debian):
status: Unknown → New
Barry Warsaw (barry) on 2011-08-10
description: updated
Barry Warsaw (barry) on 2011-08-10
description: updated
Changed in gnupginterface (Debian):
status: Unknown → New
Changed in pyxdg (Debian):
status: Unknown → New
Barry Warsaw (barry) on 2011-08-10
description: updated
Changed in pyicu (Debian):
status: Unknown → New
Changed in paramiko (Debian):
status: Unknown → New
Barry Warsaw (barry) on 2011-08-10
description: updated
Changed in libproxy (Debian):
status: Unknown → New
Changed in ibus-hangul (Debian):
status: Unknown → New
Changed in genshi (Debian):
status: Unknown → New
Changed in dbus-python (Debian):
status: Unknown → Fix Released
Barry Warsaw (barry) on 2011-08-10
description: updated
Barry Warsaw (barry) on 2011-08-10
description: updated
Changed in file (Debian):
status: Unknown → New
Barry Warsaw (barry) on 2011-08-10
description: updated
Steve Langasek (vorlon) on 2011-08-11
description: updated
Changed in bittornado (Debian):
status: Unknown → New
Changed in brltty (Debian):
status: Unknown → Fix Committed
Changed in pycairo (Debian):
status: Unknown → New
Changed in python-debian (Debian):
status: Unknown → Fix Released
Changed in pyinotify (Debian):
status: Unknown → New
Changed in pywebkitgtk (Debian):
status: Unknown → New
Changed in argparse (Debian):
status: Unknown → Fix Released
Changed in notify-python (Debian):
status: Unknown → Fix Released
Changed in gnome-doc-utils (Debian):
status: Unknown → New
Changed in ibus (Debian):
status: Unknown → Fix Released
Changed in libxml2 (Debian):
status: Unknown → Fix Released
Changed in totem (Debian):
status: Unknown → New
Changed in python-dateutil (Debian):
status: Unknown → Fix Released
Changed in ibus-table (Debian):
status: Unknown → Fix Released
Changed in liblouis (Debian):
status: Unknown → Fix Committed
Changed in python-boto (Debian):
status: Unknown → Fix Released
Changed in hplip (Debian):
status: Unknown → New
Barry Warsaw (barry) on 2011-08-11
description: updated
Barry Warsaw (barry) on 2011-08-11
description: updated
Barry Warsaw (barry) on 2011-08-11
description: updated
Changed in python-psutil (Debian):
status: Unknown → New
Changed in mailman (Debian):
status: Unknown → Fix Committed
Changed in euca2ools (Debian):
status: New → Fix Released
Changed in mailman (Debian):
status: Fix Committed → Fix Released
Changed in genshi (Debian):
status: New → Fix Released
Changed in pyinotify (Debian):
status: New → Fix Released
Changed in libproxy (Debian):
status: New → Fix Released
Changed in totem (Debian):
status: New → Fix Released
Changed in hplip (Debian):
status: New → Fix Released
Changed in file (Debian):
status: New → Fix Released
Changed in ibus-hangul (Debian):
status: New → Fix Released
Changed in paramiko (Debian):
status: New → Fix Released
Changed in liblouis (Debian):
status: Fix Committed → Fix Released

Hello Matthias, or anyone else affected,

Accepted onboard into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Jeremy Bicha (jbicha) wrote :

Yes, onboard is using dh_python2.

tags: added: verification-done
removed: verification-needed
Changed in pyicu (Debian):
status: New → Fix Released
Changed in newt (Debian):
status: New → Fix Released
marmuta (marmuta) wrote :

Fix for onboard had been released with version 0.96.

Changed in onboard:
status: Fix Committed → Fix Released
Changed in brltty (Debian):
status: Fix Committed → Fix Released
Changed in gst0.10-python (Debian):
status: New → Fix Released
Changed in libapache2-mod-python (Debian):
status: New → Fix Committed
Changed in pexpect (Debian):
status: New → Fix Released
Changed in gnome-doc-utils (Debian):
status: New → Fix Released
Changed in pyxdg (Debian):
status: New → Fix Committed
Changed in pyxdg (Debian):
status: Fix Committed → Fix Released
Changed in libapache2-mod-python (Debian):
status: Fix Committed → Fix Released
Changed in pycurl (Debian):
status: New → Fix Released
Gaby Nahum (gnahum12345) wrote :

I can work on this part time

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.